import { Subject } from 'rxjs';
import { KbqModalRef } from './modal-ref.class';
import * as i0 from "@angular/core";
export declare class KbqModalControlService {
    private parentService;
    get afterAllClose(): Subject<void>;
    get openModals(): KbqModalRef[];
    private rootOpenModals;
    private rootAfterAllClose;
    private rootRegisteredMetaMap;
    private get registeredMetaMap();
    constructor(parentService: KbqModalControlService);
    registerModal(modalRef: KbqModalRef): void;
    hasRegistered(modalRef: KbqModalRef): boolean;
    closeAll(): void;
    private removeOpenModal;
    private handleMultipleMasks;
    static ɵfac: i0.ɵɵFactoryDeclaration<KbqModalControlService, [{ optional: true; skipSelf: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<KbqModalControlService>;
}
